# name, ver, rel are passed in from Makefile so we only have to set them one place
%define name moblin-sigchk-data
%define ver 2.0.0
%define rel 1

Summary:	Moblin Function Signature Checker Data
Vendor:		ISPRAS
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Source:		%{name}-%{version}.src.tgz
License:	GPL
URL: 		http://bzr.linux-foundation.org/moblin/devel/moblin-sigchk-data
Group:		Development/Tests
Buildroot:	%{_builddir}/%{name}-root
AutoReqProv:	no

%description
Test data for statically checking ABI compliance of Linux distributions with Moblin OS.

%prep

%setup -q

%build
cd test_data
for LIBRARY in *
do
    echo ${LIBRARY}
    cd ${LIBRARY}
    tar -cf ${LIBRARY}_Moblin_Ed.abi.tar ${LIBRARY}_Moblin_Ed.abi
    gzip --best ${LIBRARY}_Moblin_Ed.abi.tar
    rm -fr ${LIBRARY}_Moblin_Ed.abi
    cd ..
done
cd ..

%install

#install the test suites
DATA_ROOT=${RPM_BUILD_ROOT}/opt/moblin/test/moblin-sigchk-data
rm -fr ${DATA_ROOT}
rm -fr ${RPM_BUILD_ROOT}/opt/moblin/doc/%{name}
mkdir -p ${DATA_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/moblin/doc/%{name}

cp -fr descriptors ${DATA_ROOT}
cp -fr int_list ${DATA_ROOT}
cp -fr test_data ${DATA_ROOT}
cp -fr distribution.name ${DATA_ROOT}
cp -fr sonames ${DATA_ROOT}

install -d ${RPM_BUILD_ROOT}/opt/moblin/doc/%{name}
cp -f README  ${RPM_BUILD_ROOT}/opt/moblin/doc/%{name}
cp -f LICENSE ${RPM_BUILD_ROOT}/opt/moblin/doc/%{name}

%files
/opt/moblin/test/moblin-sigchk-data
%dir /opt/moblin/doc/%{name}
/opt/moblin/doc/%{name}/*

%pre
PATH=/usr/sbin:$PATH

%post
echo "Moblin Function Signature Checker Data has been installed to"
echo "/opt/moblin/test/moblin-sigchk-data."

%preun

%clean
if [ ! -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then
    rm -rf ${RPM_BUILD_ROOT}
fi
